<%@ Page Language="c#" CodeFile="DefaultCS.aspx.cs" AutoEventWireup="true" Inherits="Telerik.Web.Examples.Controls.Integration.GridAndSplitterResizing.DefaultCS" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="qsf" Namespace="Telerik.QuickStart" %>
<%@ Register TagPrefix="qsf" TagName="Header" Src="~/Common/Header.ascx" %>
<%@ Register TagPrefix="qsf" TagName="HeadTag" Src="~/Common/HeadTag.ascx" %>
<%@ Register TagPrefix="qsf" TagName="Footer" Src="~/Common/Footer.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/tr/xhtml11/dtd/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <style type="text/css">

html
{

	overflow:auto;
}

html,
body,
form,
#<%= RadGrid1PanelClientID %>,
#<%= RadGrid2PanelClientID %>
{
	margin:0;
	padding:0;
	height:100%;
}

.p{margin:0;padding:20px;font:12px/1.8 verdana,sans-serif}

</style>
    </telerik:RadCodeBlock>
</head>
<body class="BODY">
    <form id="Form1" method="post" runat="server">

    <asp:ScriptManager ID="ScriptManager" runat="server" />
    <script type="text/javascript">
        function grid2PaneResized(sender, eventArgs)
        {
            $find("<%= RadAjaxManager1.ClientID %>").ajaxRequest('PageSizeChanged');
        }
    </script>
    <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxSettingCreated="RadAjaxManager1_AjaxSettingCreated"
        OnAjaxRequest="RadAjaxManager1_AjaxRequest">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid1">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="RadGrid2">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="RadGrid2" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadSplitter ID="RadSplitter1" width="100%" Height="100%" runat="server" Orientation="Horizontal">
        <telerik:RadPane ID="grid1Pane" runat="server" Scrolling="None" Height="30%">
            <telerik:RadGrid AllowPaging="true" PageSize="40" Width="100%" Height="100%" Style="border: 0;
                outline: none" ID="RadGrid1" runat="server">
                <MasterTableView AllowPaging="true" TableLayout="Fixed" />
                <PagerStyle Mode="NumericPages" />
                <ClientSettings EnableRowHoverStyle="true">
                    <Selecting AllowRowSelect="true" />
                    <Scrolling AllowScroll="true" UseStaticHeaders="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </telerik:RadPane>
        <telerik:RadSplitBar CollapseMode="Both" ID="RadSplitBar2" runat="server" EnableResize="True">
        </telerik:RadSplitBar>
        <telerik:RadPane ID="grid2Pane" runat="server" BackColor="#d9eeff" OnClientResized="grid2PaneResized">
            <telerik:RadGrid AllowPaging="true" PageSize="40" Width="100%" Height="100%" Style="border: 0;
                outline: none" ID="RadGrid2" runat="server">
                <MasterTableView AllowPaging="true" TableLayout="Fixed" />
                <PagerStyle Mode="NumericPages" />
                <ClientSettings EnableRowHoverStyle="true">
                    <Selecting AllowRowSelect="true" />
                    <Scrolling AllowScroll="true" UseStaticHeaders="true" />
                </ClientSettings>
            </telerik:RadGrid>
        </telerik:RadPane>
    </telerik:RadSplitter>

    </form>
</body>
</html>
